/*
 GetCustomer.p
 Fetch the Customer by name.
*/
DEFINE INPUT  PARAMETER pcName AS CHARACTER NO-UNDO.
DEFINE OUTPUT PARAMETER TABLE-HANDLE phTT.

DEFINE VARIABLE cRowIdent AS CHARACTER   NO-UNDO INITIAL "FIRST".
DEFINE VARIABLE hSdo      AS HANDLE      NO-UNDO.

DEFINE TEMP-TABLE ttCustomer
  {pug/sdoCustomer.i}
  {src/adm2/robjflds.i}.
  
phTT = TEMP-TABLE ttCustomer:HANDLE.

/* If no name is given, return an empty record. */
IF pcName = "" THEN DO:
  CREATE ttCustomer.
  RETURN.
END.

/* Start SDO */
RUN pug/sdoCustomer.w PERSISTENT SET hSdo.

/* Set Query */
DYNAMIC-FUNCTION('selectName':U IN hSdo, pcName).

/* Fetch data into our temp-table */
RUN pug/getRowObject.p (INPUT-OUTPUT cRowIdent, 0, hSdo, phTT).

RETURN.

FINALLY:
  RUN destroyObject IN hSdo NO-ERROR.
  DELETE OBJECT phTT NO-ERROR.
END FINALLY.


